Subject: [Gen-art] Genart telechat review of draft-ietf-taps-minset-08

From: Robert Sparks <[email-masked]>
Date: Thu, 06 Sep 2018 13:07:47 -0700

Reviewer: Robert Sparks
Review result: Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-taps-minset-08
Reviewer: Robert Sparks
Review Date: 2018-09-06
IETF LC End Date: 2018-09-04
IESG Telechat date: 2018-09-13

Summary: Ready for publication as an Informational RFC

(Repeating one thing from my Last Call review for the benefit of the IESG):

This was a big effort, and it appears that it was helpful to the folks
working on the interface document, but it's not clear how it will be
useful to implementers. The IESG should consider  whether this, like
requirements documents, needs to be in the RFC series. The most likely
use I can see in the future would be for historians, and a different
and shorter presentation would serve them better.

---

From: "Aaron Falk" <[email-masked]>
Date: Thu, 06 Sep 2018 16:22:25 -0400

> and shorter presentation would serve them better.

Hi Robert-

This seems like more useful information for RFC Editor than for the 
IESG.  According to RFC2026 the IESG's criteria for publication for 
Informational RFCs are:

>
> 4.2.2  Informational
>
>    ... The Informational
>    designation is intended to provide for the timely publication of a
>    very broad range of responsible informational documents from many
>    sources, subject only to editorial considerations and to 
> verification
>    that there has been adequate coordination with the standards 
> process
>    (see section 4.2.3).

and

> 6.1.2  IESG Review and Approval
>
>    The IESG shall ... determine whether or not the technical quality 
> and clarity
>    of the specification is consistent with that expected for the
>    maturity level to which the specification is recommended.
>

So, I don't think the IESG gets to decide that it doesn't belong in an 
RFC just because it doesn't it wouldn't be useful to implementors or 
historians (only two of many RFC audiences).  I suggest you take your 
concerns up with the TAPS working group, who thought it was important to 
document their analysis, and/or Heather (cc'ed).

--aaron

---

From: Robert Sparks <[email-masked]>
Date: Thu, 6 Sep 2018 15:30:59 -0500

Aaron -

To be a bit more clear, my point is to twist the IESGs arm about recent 
pushback on WGs publishing requirements documents...

RjS

On 9/6/18 3:22 PM, Aaron Falk wrote:
>     sources, subject only to editorial considerations and to verification
>     that there has been adequate coordination with the standards process
>     (see section 4.2.3).
>
> and
>
> concerns up with the TAPS working group, who thought it was important 
> to document their analysis, and/or Heather (cc'ed).
>
> --aaron
>

---

From: "Aaron Falk" <[email-masked]>
Date: Thu, 06 Sep 2018 16:32:46 -0400

Robert-

Thanks for the (quick) clarification.  I misunderstood the intent of 
your note.

--aaron

On 6 Sep 2018, at 16:30, Robert Sparks wrote:

> Aaron -
>
> To be a bit more clear, my point is to twist the IESGs arm about 
> recent pushback on WGs publishing requirements documents...
>
> RjS
>
>
>> So, I don't think the IESG gets to decide that it doesn't belong in 
>> an RFC just because it doesn't it wouldn't be useful to implementors 
>> or historians (only two of many RFC audiences). I suggest you take 
>> your concerns up with the TAPS working group, who thought it was 
>> important to document their analysis, and/or Heather (cc'ed).
>>
>> --aaron
>>

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 12 Sep 2018 15:27:08 -0400

Robert, thanks for your review. I initially had the same reaction. But then digging a little more into the TAPS document set and charter I started having the opposite question, which is that if the minimal service set is meant to be constraining on transport systems, why shouldn’t it be standardized rather than informational? I have put that question in my DISCUSS ballot.

Alissa

> On Sep 6, 2018, at 4:07 PM, Robert Sparks <[email-masked]> wrote:
> 
> Reviewer: Robert Sparks
> Review result: Ready
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art